<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<title>DBDocs</title>

<link type="text/css" rel="stylesheet" href="assets/bootstrap/css/bootstrap.min.css" />
<link type="text/css" rel="stylesheet" href="assets/chosen/chosen/chosen.css" />

<style type="text/css">
	body {
		padding-top: 60px;
		padding-bottom: 40px;
	}
	.hashlink {
		background: #ffffbb !important;
	}
</style>

<link type="text/css" rel="stylesheet" href="assets/bootstrap/css/bootstrap-responsive.min.css" />

<?php if (($webfont = Config::get('dbdocs.webfont', false)) !== false): ?>

<link href="http://fonts.googleapis.com/css?family=<?php echo urlencode($webfont); ?>" rel="stylesheet" type="text/css">
<style>
body { font-family: "<?php echo $webfont; ?>", sans-serif; }
</style>

<?php endif; ?>

<script src="http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js"></script>
<script src="assets/bootstrap/js/bootstrap.min.js"></script>
<script src="assets/keymaster/keymaster.min.js"></script>
<script src="assets/chosen/chosen/chosen.jquery.min.js"></script>
<script src="assets/quicksearch/jquery.quicksearch.js"></script>
<script src="assets/app.js"></script>

</head>
<body>

<div class="navbar navbar-inverse navbar-fixed-top">
<div class="navbar-inner">
<div class="container-fluid">

<a class="brand" href="index.html">DBDocs <?php echo e(Dbdocs::VERSION); ?></a>
<ul class="nav">
<li<?php $active === 'tables' and print(' class="active"'); ?>><a href="tables.html">Tables</a></li>
<li<?php $active === 'indexes' and print(' class="active"'); ?>><a href="indexes.html">Indexes</a></li>
<li<?php $active === 'views' and print(' class="active"'); ?>><a href="views.html">Views</a></li>
</ul>
<form class="navbar-form pull-left" style="margin-top:8px;">
<select id="_global_search" data-placeholder="Search" style="width:500px;" />
<option value=""></option>
<optgroup id="_global_search_tables" label="Tables">
<?php foreach ($chosen_data['tables'] as $data): ?>
<option value="<?php echo $data['href']; ?>"><?php echo $data['text']; ?></option>
<?php endforeach; ?>
</optgroup>
<optgroup id="_global_search_columns" label="Columns">
<?php foreach ($chosen_data['columns'] as $data): ?>
<option value="<?php echo $data['href']; ?>"><?php echo $data['text']; ?></option>
<?php endforeach; ?>
</optgroup>
<optgroup id="_global_search_indexes" label="Indexes">
<?php foreach ($chosen_data['indexes'] as $data): ?>
<option value="<?php echo $data['href']; ?>"><?php echo $data['text']; ?></option>
<?php endforeach; ?>
</optgroup>
<optgroup id="_global_search_views" label="Views">
<?php foreach ($chosen_data['views'] as $data): ?>
<option value="<?php echo $data['href']; ?>"><?php echo $data['text']; ?></option>
<?php endforeach; ?>
</optgroup>
</select>
</form>

<ul class="nav pull-right">
<li><a href="#_hotkeys_modal" data-toggle="modal">Hotkeys</a></li>
<li><a href="https://github.com/mp-php/fuel-dbdocs/issues" target="_blank">Issues</a></li>
</ul>

</div><!--/container-fluid-->
</div><!--/navbar-inner-->
</div><!--/navbar-->

<div class="container">

<?php echo $content; ?>

<hr />

<footer>
<p class="pull-left">
<?php echo Html::anchor('https://github.com/mp-php/fuel-dbdocs', 'DBDocs', array('target' => '_blank')); ?>
 developed by <?php echo Html::anchor('http://madroom-project.blogspot.jp/', 'madroom project', array('target' => '_blank')); ?>
</p>

<p class="pull-right">
Generated by <?php echo Html::anchor('http://fuelphp.com/', 'FuelPHP', array('target' => '_blank')); ?> <?php echo e(Fuel::VERSION); ?>
 and using <?php echo Html::anchor('http://twitter.github.com/bootstrap/', 'Twitter Bootstrap', array('target' => '_blank')); ?>
</p>
</footer>

</div><!--/.container-->

<div id="_hotkeys_modal" class="modal hide fade" tabindex="-1">
<div class="modal-header">
<button class="close" data-dismiss="modal">×</button>
<h3>Hotkeys</h3>
</div><!--/.modal-header-->
<div class="modal-body">
<p><span class="label label-inverse">Alt + h</span> Go to home.</p>
<p><span class="label label-inverse">Alt + t</span> Go to tables.</p>
<p><span class="label label-inverse">Alt + i</span> Go to indexes.</p>
<p><span class="label label-inverse">Alt + v</span> Go to views.</p>
<p><span class="label label-inverse">Alt + g</span> Go to global search.</p>
<p><span class="label label-inverse">Alt + &#8593;</span> Go to next search field.</p>
<p><span class="label label-inverse">Alt + &#8595;</span> Go to previous search field.</p>
</div><!--/.modal-body-->
</div><!--/#_hotkeys_modal-->

</body>
</html>
